FROM ubuntu:19.10

ENV LC_ALL C.UTF-8
ENV LANG C.UTF-8

RUN apt-get update -y && \
      apt-get -y install git python3-pip \
      python3 fuse bubblewrap python3-pip python3-dev \
      lzip git bzr patch python3-arpy gir1.2-ostree-1.0 ostree python3-gi \
      rsync openssh-client python3-grpcio\
      qemu-user sudo python gdisk git-lfs pigz

ARG BST_SHA=master
ARG BST_EXTERNAL_SHA=master

RUN git clone https://gitlab.com/BuildStream/buildstream.git && \
      git -C buildstream checkout "${BST_SHA}" && \
      pip3 install buildstream/ && \
      git clone https://gitlab.com/BuildStream/bst-external.git && \
      git -C bst-external checkout "${BST_EXTERNAL_SHA}" && \
      pip3 install bst-external/
